Get a Transaction by ID
curl --request GET \
--url https://api.bookeeping.ai/public-api/v1/transactions/{id} \
--header 'Authorization: Bearer <token>'{
"message": "<string>",
"metaData": {
"warnings": [
"<string>"
]
},
"data": {
"_id": "<string>",
"projectId": "<string>",
"currency": "<string>",
"totalAmount": 123,
"transactionDate": "2023-11-07T05:31:56Z",
"paymentMethod": {},
"source": {},
"isReconciled": true,
"nonProfitAllocations": [
{
"percentage": 123,
"program": {
"_id": "<string>",
"name": "<string>",
"status": "PLANNING",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hexColor": "<string>"
},
"grant": {
"_id": "<string>",
"name": "<string>",
"status": "ACTIVE",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hexColor": "<string>",
"funder": {
"_id": "<string>",
"accountName": "<string>",
"accountNumber": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"type": "customer"
}
},
"note": "<string>"
}
],
"entries": [
{
"id": "<string>",
"amount": 123,
"type": "DEBIT",
"parentCategory": "INCOME",
"category": {
"_id": "<string>",
"name": "<string>",
"emoji": "<string>",
"parentCategory": "INCOME",
"number": "<string>",
"group": "<string>"
},
"isMain": true,
"note": "<string>"
}
],
"classes": [
{
"_id": "<string>",
"name": "<string>",
"description": "<string>",
"emoji": "<string>",
"color": "<string>"
}
],
"attachmentsIds": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"refNo": "<string>",
"originalAmount": 123,
"originalCurrency": "<string>",
"counterParty": {
"_id": "<string>",
"accountName": "<string>",
"accountNumber": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"type": "customer"
},
"account": {
"_id": "<string>",
"accountType": "Depository",
"accountName": "<string>",
"accountNumber": "<string>"
},
"nonProfitGrantId": "<string>",
"attachedTransactionId": "<string>"
}
}API key for authentication. Get your key from the Dashboard > Settings > API Access.
The id of the transaction. Expected to be a valid object id like 666666666666666666666666
curl --request GET \
--url https://api.bookeeping.ai/public-api/v1/transactions/{id} \
--header 'Authorization: Bearer <token>'{
"message": "<string>",
"metaData": {
"warnings": [
"<string>"
]
},
"data": {
"_id": "<string>",
"projectId": "<string>",
"currency": "<string>",
"totalAmount": 123,
"transactionDate": "2023-11-07T05:31:56Z",
"paymentMethod": {},
"source": {},
"isReconciled": true,
"nonProfitAllocations": [
{
"percentage": 123,
"program": {
"_id": "<string>",
"name": "<string>",
"status": "PLANNING",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hexColor": "<string>"
},
"grant": {
"_id": "<string>",
"name": "<string>",
"status": "ACTIVE",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hexColor": "<string>",
"funder": {
"_id": "<string>",
"accountName": "<string>",
"accountNumber": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"type": "customer"
}
},
"note": "<string>"
}
],
"entries": [
{
"id": "<string>",
"amount": 123,
"type": "DEBIT",
"parentCategory": "INCOME",
"category": {
"_id": "<string>",
"name": "<string>",
"emoji": "<string>",
"parentCategory": "INCOME",
"number": "<string>",
"group": "<string>"
},
"isMain": true,
"note": "<string>"
}
],
"classes": [
{
"_id": "<string>",
"name": "<string>",
"description": "<string>",
"emoji": "<string>",
"color": "<string>"
}
],
"attachmentsIds": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"refNo": "<string>",
"originalAmount": 123,
"originalCurrency": "<string>",
"counterParty": {
"_id": "<string>",
"accountName": "<string>",
"accountNumber": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"type": "customer"
},
"account": {
"_id": "<string>",
"accountType": "Depository",
"accountName": "<string>",
"accountNumber": "<string>"
},
"nonProfitGrantId": "<string>",
"attachedTransactionId": "<string>"
}
}